<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Exercícios HTML</title>
  <style>
    #conteudo {
      padding: 30px;
    }
  </style>
</head>
<body>
  <header>
    <h1>Exercícios HTML</h1>
  </header>
  <nav>
    <a wm-nav="exercicios/texto1.html">Texto 1</a> |
    <a wm-nav="exercicios/texto2.html">Texto 2</a> |
    <a wm-nav="exercicios/listas.html">Listas</a> |
    <a wm-nav="exercicios/listaAninhada.html">Lista Aninhada</a> |
    <a wm-nav="exercicios/links.html">Links</a> |
    <a wm-nav="exercicios/tabela.html">Tabelas</a> |
    <a wm-nav="exercicios/form/form.html">Formulário</a> |
    <a wm-nav="exercicios/imagens.html">Imagens</a> |
    <a wm-nav="exercicios/video.html">Videos</a> |
    <a wm-nav="exercicios/tagsNaoVisuais">Tags não visuais</a>
  </nav>
  <section id="conteudo"></section>
  <footer>
    Curso de Web Moderno
  </footer>
  <script>
    document.querySelectorAll('[wm-nav]').forEach(link => {
      const conteudo = document.getElementById('conteudo')
      
      link.onclick = function(e) {
        e.preventDefault()
        fetch(link.getAttribute('wm-nav'))
          .then(resp => resp.text())
          .then(html => conteudo.innerHTML = html)
      }
    })
  </script>
</body>
</html>